summaryrefslogtreecommitdiffstats
path: root/slf4j-android/pom.xml
blob: 2f76f42de89d5e67000e5531ff0fabf1fa0c6548 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
<project xmlns="http://maven.apache.org/POM/4.0.0"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <parent>
        <groupId>org.slf4j</groupId>
        <artifactId>slf4j-parent</artifactId>
        <version>1.7.12</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>slf4j-android</artifactId>
    <packaging>jar</packaging>
    <name>SLF4J Android Binding</name>
    <description>SLF4J Android Binding</description>
    <url>http://www.slf4j.org</url>

    <dependencies>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>com.google.android</groupId>
            <artifactId>android</artifactId>
            <version>1.5_r4</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-jar-plugin</artifactId>
                <configuration>
                    <archive>
                        <manifestEntries>
                            <Bundle-Version>${parsedVersion.osgiVersion}</Bundle-Version>
                            <Bundle-Description>${project.description}</Bundle-Description>
                            <Implementation-Version>${project.version}</Implementation-Version>
                        </manifestEntries>
                        <manifestFile>${project.build.outputDirectory}/META-INF/MANIFEST.MF</manifestFile>
                    </archive>
                </configuration>
            </plugin>

            <plugin>
                <!-- Google Android requires class compatibility set to 5.0 -->
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <configuration>
                    <source>${required.jdk.version}</source>
                    <target>${required.jdk.version}</target>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>